Skip to main content
POST
/
o
/
{organisation_id}
/
projects
/
{project_id}
/
versions
Create a new version for a project.
curl --request POST \
  --url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/versions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "files": [
    {
      "filename": "<string>",
      "content": "<string>"
    }
  ],
  "description": "<string>",
  "labels": {}
}
'
{
  "id": "<string>",
  "name": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "labels": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.versori.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required
project_id
string<ulid>
required

Body

application/json
name
string
required

The short name for this version. This name must be unique within this project.

files
object[]
required

The files associated with the project.

description
string

The description of this version.

labels
object

Key-value pairs of strings.

Response

200 - application/json

OK

id
string<ulid>
required

The unique identifier for the version.

name
string
required

The short name for this version. This name must be unique within this project.

state
enum<string>
required

The state of the version.

Available options:
draft,
failed,
ready,
superseded
createdAt
string<date-time>
required
description
string

The description of this version.

labels
object

Key-value pairs of strings.